package com.strangemachinery.billboard;

import android.app.Activity;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.Window;
import android.view.WindowManager;

public class BillboardViewActivity extends Activity
{
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		
		// Put the app into landscape, fullscreen view
		this.setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_LANDSCAPE);
		this.requestWindowFeature(Window.FEATURE_NO_TITLE);
		this.getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
		
		// Initialize the view
		String theText = getIntent().getExtras().getString("text");
		
		if(getIntent().hasExtra("foreground") && getIntent().hasExtra("background"))
			setContentView(new BillboardView(this, theText, getIntent().getExtras().getInt("foreground"), getIntent().getExtras().getInt("background")));
		else
			setContentView(new BillboardView(this, theText));
	}
}
